# DarAuthority: dag

%define _includedir %{_prefix}/include/freetds
 
Summary: An implementation of the TDS (Tabular DataStream) protocol.
Name: freetds
Version: 0.61
Release: 0.dag
License: LGPL 
Group: System Environment/Libraries
URL: http://www.freetds.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source:	ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/stable/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: unixODBC-devel
 
%description 
FreeTDS is a project to document and implement the TDS (Tabular
DataStream) protocol. TDS is used by Sybase and Microsoft for
client to database server communications. FreeTDS includes call
level interfaces for DB-Lib, CT-Lib, and ODBC.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep 
%setup 
 
%build 
%configure \
	--with-tdsver="4.2" \
	--with-unixodbc="%{_prefix}" \
	--sysconfdir="%{_sysconfdir}"
%{__make} %{?_smp_mflags}
 
%install 
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la
 
%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig 
 
%clean 
%{__rm} -rf %{buildroot}
 
%files 
%defattr(-, root, root, 0755) 
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO 
%doc %{_mandir}/man?/*
%config %{_sysconfdir}/*
%{_bindir}/*
%{_libdir}/*.so.*
 
%files devel 
%defattr (-, root, root, 0755) 
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/
 
%changelog 
* Fri Jun 13 2003 Dag Wieers <dag@wieers.com> - 0.61-0
- Initial package. (using DAR)
